net.minecraft.network.play.server

## Class S1BPacketEntityAttach

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S1BPacketEntityAttach

-     public class S1BPacketEntityAttach
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S1BPacketEntityAttach()`
    `S1BPacketEntityAttach(int p_i45218_1_, Entity p_i45218_2_, Entity p_i45218_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_149402_e()`
    `int` | `func_149403_d()`
    `int` | `func_149404_c()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_149405_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S1BPacketEntityAttach

          public S1BPacketEntityAttach()

    - #### S1BPacketEntityAttach

          public S1BPacketEntityAttach(int p_i45218_1_,
                               Entity p_i45218_2_,
                               Entity p_i45218_3_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_149405_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_149404_c

          public int func_149404_c()

    - #### func_149403_d

          public int func_149403_d()

    - #### func_149402_e

          public int func_149402_e()